## org.bn.compiler.parser.model
Class AsnNamedValue

    java.lang.Object
      org.bn.compiler.parser.model.AsnNamedValue

    public class AsnNamedValue

extends java.lang.Object

Field Summary
`java.lang.String` `name`
`AsnValue` `value`

Constructor Summary
`AsnNamedValue()`

Method Summary
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### value

    public AsnValue value

Constructor Detail

### AsnNamedValue

    public AsnNamedValue()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(boolean name)